Bug 868020 - invalid username/password in jenkins cloud config causes looping rest calls for user
invalid username/password in jenkins cloud config causes looping rest calls f...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 18:08 EDT by Bill DeCoste
Modified: 2015-05-14 19:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill DeCoste 2012-10-18 18:08:19 EDT
Description of problem:
If invalid username/password is added to the  jenkins cloud config then the result is an endless loop of rest calls to get a user



Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. create jenkins app and jenkins-enabled app
2. add a bogus username/password to Manage Jenkins/Configure/Cloud
3.
  
Actual results:
endless failures


Expected results:
requests will stop after some number of retries


Additional info:
Comment 1 Jianwei Hou 2012-10-21 23:01:00 EDT
Verified on devenv_2360

1. Create a jenkins server app
2. Create an app embedded with jenkins-client
3. add a bogus username/password to Manage Jenkins/Configure/Cloud
4. Make some change in app's repo and trigger jenkins build and check jenkins log

Result:
After some number of retries, build failed.

Note You need to log in before you can comment on or make changes to this bug.